public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com
Subject: [committed] Fix pr24174.sh
Date: Tue, 01 Jan 2019 00:00:00 -0000	[thread overview]
Message-ID: <20190313131330.GA4147@delia> (raw)

Hi,

Test-case pr24174.sh contains:
...
grep "DWARF version 0 unhandled" dwz.err || true
...
where the intention is to check that the error message does not occur, but
which will pass regardless of what's in dwz.err.

Fix this by making sure the test fails if grep succeeds.

Committed to trunk.

Thanks,
- Tom

Fix pr24174.sh

2019-03-13  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/pr24174.sh: Make sure test fails if grep succeeds.

---
 testsuite/dwz.tests/pr24174.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/testsuite/dwz.tests/pr24174.sh b/testsuite/dwz.tests/pr24174.sh
index 3b1a0f8..f6744f4 100755
--- a/testsuite/dwz.tests/pr24174.sh
+++ b/testsuite/dwz.tests/pr24174.sh
@@ -8,7 +8,9 @@ if dwz 1 2>dwz.err; status=$?; then
    true
 fi
 
-grep "DWARF version 0 unhandled" dwz.err || true
+if grep -q "DWARF version 0 unhandled" dwz.err; then
+    exit 1
+fi
 
 [ $status -eq 1 ]
 

                 reply	other threads:[~2019-03-13 13:12 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190313131330.GA4147@delia \
    --to=tdevries@suse.de \
    --cc=dwz@sourceware.org \
    --cc=jakub@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).